Bug 963213 - Review Request: perl-HTTP-CookieJar - Minimalist HTTP user agent cookie jar
Review Request: perl-HTTP-CookieJar - Minimalist HTTP user agent cookie jar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 963197 963211
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 08:16 EDT by Yanko Kaneti
Modified: 2013-05-28 02:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 02:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2013-05-15 08:16:29 EDT
Spec URL: http://declera.com/~yaneti/perl-HTTP-CookieJar/perl-HTTP-CookieJar.spec
SRPM URL: http://declera.com/~yaneti/perl-HTTP-CookieJar/perl-HTTP-CookieJar-0.004-1.fc20.src.rpm
Description: Minimalist HTTP user agent cookie jar
Fedora Account System Username: yaneti

Depends on the reviews I'll link below so no build in mock yet

2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Petr Šabata 2013-05-16 09:33:21 EDT
Missing build-time deps:
- Recommended: perl(File::Find), perl(HTTP::Request)*, perl(HTTP::Response)*, perl(strict), perl(warnings)
* If you don't include those, you may safely drop some others that depend on them, e.g. perl(URI).

None of your explicit run-requires are necessary and should be dropped.  RPM detects all of them but Mozilla::PublicSuffix, which is optional.

PERL_INSTALL_ROOT could be substituted with DESTDIR.

Line 48 may be removed.

There's no need to ship dist.ini, META.json, perlcritic.rc, or tidyall.ini as %doc.

I'll try to build it once our dependencies make it into Fedora.
Comment 2 Yanko Kaneti 2013-05-17 14:16:15 EDT
Thanks for the review. I tried addressing all the issues in

0.004-2
- Address review comments. (#963213#c1)

Spec URL: http://declera.com/~yaneti/perl-HTTP-CookieJar/perl-HTTP-CookieJar.spec
SRPM URL: http://declera.com/~yaneti/perl-HTTP-CookieJar/perl-HTTP-CookieJar-0.004-2.fc20.src.rpm
Comment 3 Petr Šabata 2013-05-20 10:04:40 EDT
Alright, all fixed.
Approving.
Comment 4 Yanko Kaneti 2013-05-20 10:14:17 EDT
New Package SCM Request
=======================
Package Name: perl-HTTP-CookieJar
Short Description: Minimalist HTTP user agent cookie jar
Owners: yaneti
Branches: f19
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-05-20 10:27:08 EDT
Git done (by process-git-requests).
Comment 6 Yanko Kaneti 2013-05-28 02:24:40 EDT
Deps in stable. Builds done. Updates submitted.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.